;--------------------------------------------

[MainReport]
@  = [StyledWindowT] at(dragable,resizable,minimizable,a_close) subst(Footer(subst(Link1(use(!$IsKAT) onclick(l_currep.savereport())))) BodyEx([MainReport_BodyEx] )) alias(taskview) sz(1020,480) oninit(l_currep=ctl.defList) h($IsKAT ? 15761 : 25831)

[MainReport_BodyEx]
Body    = [MainReport_Body]
defList = t(list) visible(0)

[MainReport_Body]
@           = at(lt) sz(p,p) a(la) alias(navigator2) btns(Btns) pages(WorkArea)
Btns        = [MainReport_Body_Navigator]
SepVert     = sz(1,p) a(as) b(Group) rs(0,0)
WorkArea    = sz(p,p) rs(100,100) a(at) mg(8,8,8,8)

[MainReport_Body_Navigator]
@               = mg(3,7,7) rs(0,100) a(la) sz(189,p) at(enum) bg((isOsGuiThemed || true) ? "TopNavigator" : "ColorWindow")
Protection      = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
File_Monitoring = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
Mail_Monitoring = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
Web_Monitoring  = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
IM_Monitoring   = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
Hips            = [OptionsWindow_Navigator_Btn] subst(Icon(i("OptionsCategory16,5"))) use(f_isInstalled(ctl.id))
SW2             = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
Firewall        = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
pdm             = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
ids             = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
Anti_Spam       = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
AdBlocker       = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
Scan_Objects    = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))
Updater         = [OptionsWindow_Navigator_Btn] use(f_isInstalled(ctl.id))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; MainReport_Navigator_WorkArea_PageT 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[Templates]
$MainReport_TimeSingle_PeriodSwitch_OnChange = +onchange(ctl.Group1.Report.setfilter(f_MainReport_Period_Filter(ctl.PeriodBegin.value, ctl.PeriodEnd.value), 1))

[MainReport_Navigator_WorkArea_PageT]
@      = sz(p,p) visible(ctl.Navigator.value == ctl.id) ext(1)
Hdr    = [MainReport_Navigator_WorkArea_PageT_Hdr]
Body   = [MainReport_Navigator_WorkArea_PageT_Body] a(la) sz(p,p) rs(100,100)

[MainReport_Navigator_WorkArea_PageT_Hdr]
@              = sz(p,a) xy(,,,10)
Title          = f("Header6Lite") text(switch(ctl.parent.parent.id, "ProfileName"))
StatPeriodText = a(la) sz(a,a) f("Header2Lite")
PeriodSwitch   = [Statistics_Switch_Time] extprm(1) a(as)

[MainReport_Navigator_WorkArea_PageT_Body]
StatArea  = [MainReport_Navigator_WorkArea_PageT_Body_StatArea] sz(p,a) rs(100,0) a(lb) xy(,,,12)
ListArea  = [MainReport_Navigator_WorkArea_PageT_Body_ListArea] sz(p,p) a(lp)

[MainReport_Navigator_WorkArea_PageT_Body_StatArea]
@       = b(System) bg("ColorWindow") mg(7,7)
Stat    = sz(p,100) a(la) extprm(1)

[MainReport_Navigator_WorkArea_PageT_Body_ListArea]
@           = b(System)
ActionsArea = [Grid.Toolbar.Template] a(lt) b() subst(Add(use(0)) Edit(use(0)) Delete(use(0)) Other(use(1) [MainReport_Navigator_WorkArea_PageT_Body_ListArea_ActionsArea])) extprm(1)
;List        = sz(p,p) a(la) at(rememberdata,noborder) extprm(1)

[MainReport_Navigator_WorkArea_PageT_Body_ListArea_ActionsArea]
@              = sz(p,p) rs(100,0) ext(1)
SearchEdit     = [SystemMonitor_Search] a(lc) subst( Filter(onchange(ctl.Report.setfilter("wildcard(" + toExpr("*" + ctl.value + "*") + ", ctl.Report.rowdatatext(), 3)", 100))) ) 
AreaToolBar    = extprm(1) a(rt) use(0)
SeverityFilter = extprm(1) [MainReport_Navigator_WorkArea_SeverityFilter] a(rc) xy(4)
GroupFilter    = [TB_Button_Menu] subst( Cont() ) t(v) a(pc) xy(4) onchange(ctl.parent.parent.Group1.Report.setview(debugTrace(ctl.value, "setview"))) extprm(1)
ListActions    = a(lc) xy(10) extprm(1)
Sep            = a(lb) sz(p,1) b(Group)


[MainReport_Navigator_WorkArea_PageT_Body_ListArea_ActionsArea_GroupFilter]
@        = t(v) at(btnlike) sz(a,a) mg(,2) bg(ctl.selected ? "HilightBtn_sel" : (ctl.hotlight ? "HilightBtn" : ""))
Text     = a(lt) sz(a,a) xy(7,2)
Schevron = a(ac) sz(a,a) i("TaskBarIcons,27")

[MainReport_Navigator_WorkArea_SeverityFilter]
$SeverityChoose = ctl.Group1.Report.setfilter("var pVerdictIcon; pVerdictIcon = s_VerdictIcon(Verdict);" + if(ctl.Err.value,  "pVerdictIcon == \"crit\"", "false") + " || " + \
if(ctl.Warn.value, "pVerdictIcon == \"med\"", "false") + " || " + \
if(ctl.Info.value, "pVerdictIcon == \"ok\" || pVerdictIcon == \"low\"", "false"), 2)
@        = sz(a,a) oninit(ctl.Info.value = true; ctl.Warn.value = true; ctl.Err.value = true)
Info     = [TB_Button_ChkLike] subst(Icon(i(s_ParCtlEx_SeverityIcon(#eParCtlEx_SeverityInfo)))) onchange($SeverityChoose)
Warn     = [TB_Button_ChkLike] subst(Icon(i(s_ParCtlEx_SeverityIcon(#eParCtlEx_SeverityWarning)))) onchange($SeverityChoose)
Err      = [TB_Button_ChkLike] subst(Icon(i(s_ParCtlEx_SeverityIcon(#eParCtlEx_SeverityCritical)))) onchange($SeverityChoose)

[ProfileReport]
@       = sz(p,p) ext(1) onshow(l_currep = ctl.ctlFind("d.Report"))
Hdr     = [ProfileReport_Hdr]
Body    = [ProfileReport_Body]

[ProfileReport_Hdr]
@              = sz(p,a) xy(,,,10)
Title          = a(lt) sz(a,a) text(switch(ctl.parent.parent.id, "ProfileName")) f("Header5Med")
;SearchEdit    = [SystemMonitor_Search] subst( Filter(onchange(ctl.parent.Report.setfilter("wildcard(" + toExpr("*" + ctl.value + "*") + ", ctl.Report.rowdatatext(), 3)", 100))) ) a(rs)
PeriodSwitch   = [Statistics_Switch_Time] extprm(1) xy(,7) a(la) subst(IsChange($MainReport_TimeSingle_PeriodSwitch_OnChange) )
ClrBut = [CR] a(rs)

[ProfileReport_Body]
@              = a(la) sz(p,p)
DescrArea      = a(lb) rs(,0) b(System) xy(,,,8) alias(descriptor) dataowner(parent.ListBody.Group1.d.Report) [ProfileReport_Body_Descr] visible(ctl.Descr.ser())
ListBody       = [ProfileReport_List]

[ProfileReport_Body_Descr]
@ = sz(p,a)
Descr = a(lt) extprm(1) sz(p,a) mg(8,8,8,8) visible(ctl.ser())
VSizeFix = extprm(1) sz(p,171) a(lt)

;[ProfileReport_Body_Descr_Template]

[ProfileReport_List]
@              = b(System) a(lp) sz(p,p)
ActionsArea    = [Grid.Toolbar.Template] a(lt) b() subst(Add(use(0)) Edit(use(0)) Delete(use(0)) Other(use(1) [MainReport_Navigator_WorkArea_PageT_Body_ListArea_ActionsArea])) extprm(1)
Group1         = extprm(1) a(la) sz(p,p) at(noborder)

[ProfileReportStat]
@       = extprm(1) sz(p,p) visible(ctl.Statistic.value)
Group2  = extprm(1) sz(p,p) visible(!ctl.EnableChart.value || !$GVF_HAS_STAT )
Group3  = extprm(1) sz(p,p) visible(!ctl.Group2.visible) b(System) mg(10,10,10,10) bg("ColorWindow")

[Product_Events]
@       = ext(1) sz(p,p)
Report  = [Product_Events_Report]

[Product_Events_Report]
$dayWeek = (getFilterValue(ctl.id) <= -2 && getFilterValue(ctl.id) >= -8)
@           = $List at(rememberdata,noborder) alias(taskevents) refresh(100) a(la) extprm(1)
Time        = sz(150) text(datetimeDT(Timestamp)) group(date,dategroupDT(Timestamp),default) sort(index,sortup) filter(auto,s_date(dategroupDT(Timestamp, $dayWeek))) extprm(1)
Application = [Product_Events_Report_Application] extprm(1)
Task        = sz(150,a) text(s_RepTaskID(TaskID)) extprm(1) group(task,TaskID) filter(auto)
Verdict     = [Product_Events_Report_Verdict]
Action      = sz(160) text($ActionText) group(Action) extprm(1) filter(auto,$ActionText,Product_Events_Report_Action_Filter) use(f_isInstalled("HipsTask"))
InSandbox	= sz(130) text($ObjectInSandboxText) at(nosort) use(f_isInstalled("SandBox")) extprm(1)
Object      = [Product_Events_Report_Object]
OldObject   = [Product_Events_Report_OldObject]
Size        = sz(70,a) use(0) extprm(1) text($ObjectSizeText) sort(ExtraInfoSub2)
Reason      = sz(170,a) text($ReasonText) filter(custom,,Product_Events_Report_Reason_Filter) extprm(1)
row         = at(clickable) i($RepEventIcon) onrclick(menu("Product_Events_Report_Menu"))
views       = extprm(1)

[Product_Events_Report_Application]
@           = ext(1) sz(250) text($AppName) group(AppGroup,AppID) i($AppIcon)
Name        = sz(60) text($AppModule) i($AppIcon)
Path        = sz(200) text($AppPath)
PID         = sz(90) text($hasNativePID ? $AppNativePID : if(f_isSandboxed(PID), convertToNativePid(PID), "")) group(PIDGroup,PID) extprm(1)
CommandLine = sz(90) text($AppCmdLine) extprm(1)

[Product_Events_Report_Verdict]
@               = sz(100) rs(40) text($VerdictText) group(Verdict) filter(auto,$VerdictDescrText,Product_Events_Report_Verdict_Filter) extprm(1)
Descr           = sz(70) text($VerdictDescrText) extprm(1)
DetectType      = sz(70) text($DetectTypeText) group(DetectType) filter(auto) extprm(1)
DetectName      = sz(70) text($DetectNameText) group(DetectName) filter(auto) extprm(1)
DetectDanger    = sz(70) text($DetectDangerText) group(DetectDanger) filter(auto) extprm(1)
Exact           = sz(70) text($ExactText) group(IsExact) filter(auto) extprm(1)

[Product_Events_Report_Object]
@       = sz(p) rs(60) text($ObjectText) i($ObjectIcon) group(ObjectType) filter(auto,$ObjectTypeText,Product_Events_Report_Object_Filter) extprm(1)
Type    = sz(60) text($ObjectTypeText) i($ObjectIcon) group(ObjectType) filter(auto) extprm(1)
Path    = sz(70) text($ObjectPathText)
Name    = sz(70) text($ObjectNameText)

[Product_Events_Report_OldObject]
@       = sz(p) rs(60) text($OldObjectText) at(nosort) i($OldObjectIcon) group(ObjectType) filter(auto,$ObjectTypeText,Product_Events_Report_Object_Filter) use(0) extprm(1)
Type    = sz(60) text($ObjectTypeText) i($OldObjectIcon) group(ObjectType) filter(auto) extprm(1)
Path    = sz(a) text($OldObjectPathText) at(nosort)
Name    = sz(a) text($OldObjectNameText) at(nosort)

[Product_Events_Report_Ex]
@       = sz(p,p) ext(1)
Report  = [Product_Events_Report]

[Product_Events_Report_Save]
@ = [EditSimpleItem] onok(l_combo.add(ctl.Name.value,ctl.Name.value)) subst(Example(use(0))) ext(1)

[Product_Events_Report_Menu]
$ForASMail      = TaskID==#eTASK_AS && ObjectType==#eMailMessage
$ForAB          = TaskID==#eTASK_AB && ObjectType==#eURL
$GotoFileVirt = exec(env("ProductRoot").addPath("sbstart.exe"), f_getSandboxIdFromPath($ObjectRealText) + " \"iexplore\" -new -e " + objdir($ObjectText))
$GotoFileReal = if(!gotofile($ObjectText), msg("CantOpenFolder"))
@               = t(menu) bg("MenuIconBg")
ASDetails       = at(default) use($ForASMail) onclick(dialog("AntiSpam_MailDetails"))
ASMarkAsSpam    = use($ForASMail) onclick(ctl.Report.antispam_action(0))
ASMarkAsHam     = use($ForASMail) onclick(ctl.Report.antispam_action(1))
ASAddToWL       = use($ForASMail) onclick(ctl.Report.antispam_action(2))
ASAddToBL       = use($ForASMail) onclick(ctl.Report.antispam_action(3))
ABAllow         = use($ForAB) enable(DetectName) onclick(ctl.Report.antibanner_allow())
sep
MakeFilter
MakeGroup
sep
ClearFilters
ClearGroup
sep
Expand          = visible(isNode && !isExpanded)
Collapse        = visible(isNode && isExpanded)
CollapseAll     = visible(isNode)
sep
Copy
SelectAll
sep
GotoFile        = enable(ObjectType==#eFile) onclick( if(PID && PID != #PIDProduct && PID != #PIDSystem && f_isSandboxed(PID),$GotoFileVirt,$GotoFileReal) ) use(!$IsRD)

;all events see in 'enVerdict'
[Product_Events_Report_Verdict_Filter]
CLEAN               = v(#eCLEAN)     use($GVF_AV)
ARCHIVED            = v(#eARCHIVED)  use($GVF_AV)
PACKED              = v(#ePACKED)	  use($GVF_AV)
;ENCRYPTED			 = v(#eENCRYPTED) use($GVF_AV)
CORRUPTED           = v(#eCORRUPTED) use($GVF_AV)
DETECTED            = v(#eDETECTED)
ALLOWED             = v(#eALLOWED)   use($GVF_NOT_SCAN)
DENIED              = v(#eDENIED)    use($GVF_NOT_SCAN)
REJECTED            = v(#eREJECTED)  use($GVF_NOT_SCAN)
NOT_PROCESSED       = v(#eNOT_PROCESSED)      use($GVF_AV)
PASSWORD_PROTECTED  = v(#ePASSWORD_PROTECTED) use(!($GVF_NOT_SCAN))
PROCESSING_ERROR    = v(#ePROCESSING_ERROR)   use($GVF_AV)
ADDEDTOEXCLUDE      = v(#eADDEDTOEXCLUDE)     use($GVF_NOT_CF)
Cure                = [Product_Events_Report_Verdict_Filter_Cure] use($GVF_NOT_CF)
Task                = [Product_Events_Report_Verdict_Filter_Task] use($GVF_NOT_SCAN)
ProdState           = [Product_Events_Report_Verdict_Filter_Prod] use(ctl.Report.value == #eTASK_GROUP_PROTECTION)

;see s_ProdState
[Product_Events_Report_Verdict_Filter_Prod]
ProdState1               = v(#ePROTECTION + #ProdStateProductNotProtected)
ProdState2               = v(#ePROTECTION + #ProdStateKeyAboutExpiration)
ProdState3               = v(#ePROTECTION + #ProdStateKeyExpired)
ProdState4               = v(#ePROTECTION + #ProdStateKeyWillBeExpired)
ProdState5               = v(#ePROTECTION + #ProdStateKeyTrialExpired)
ProdState6               = v(#ePROTECTION + #ProdStateKeyBlocked)
ProdState7               = v(#ePROTECTION + #ProdStateNoKeys)
ProdState8               = v(#ePROTECTION + #ProdStateKeyWaitActivation)
ProdState9               = v(#ePROTECTION + #ProdStateKeyInvalid)
ProdState10              = v(#ePROTECTION + #ProdStateKeyLimited)
ProdState11              = v(#ePROTECTION + #ProdStateKeyGracePeriod)
ProdState12              = v(#ePROTECTION + #ProdStateKeyUpdateFailed)
ProdState13              = v(#ePROTECTION + #ProdStateKeySuspended)
ProdState14              = v(#ePROTECTION + #ProdStateHighRiskTasksNotRunning)
ProdState15              = v(#ePROTECTION + #ProdStateTasksNotRunning)
ProdState16              = v(#ePROTECTION + #ProdStateTasksMalfunction)
ProdState17              = v(#ePROTECTION + #ProdStateHighRiskTasksDisabled)
ProdState18              = v(#ePROTECTION + #ProdStateTasksDisabled)
ProdState19              = v(#ePROTECTION + #ProdStateProtectionSafeMode)
ProdState20              = v(#ePROTECTION + #ProdStateProtectionNotInstalled)
ProdState21              = v(#ePROTECTION + #ProdStateBasesNotValid)
ProdState22              = v(#ePROTECTION + #ProdStateBasesOutOfDate)
ProdState23              = v(#ePROTECTION + #ProdStateBasesNotActual)
ProdState24              = v(#ePROTECTION + #ProdStateUpdateNeedReboot)
ProdState25              = v(#ePROTECTION + #ProdStateBasesCorrupted)
ProdState26              = v(#ePROTECTION + #ProdStateOnDemandTaskRunning)
ProdState27              = v(#ePROTECTION + #ProdStateProtectionNotRunning)
ProdState28              = v(#ePROTECTION + #ProdStateProtectionDisabled)
ProdState29              = v(#ePROTECTION + #ProdStateThreatsMalwareUntreated)
ProdState30              = v(#ePROTECTION + #ProdStateThreatsRiskwareUntreated)
ProdState31              = v(#ePROTECTION + #ProdStateThreatsNeedFullScanAfterAD)
ProdState32              = v(#ePROTECTION + #ProdStateThreatsNeedAVZCleanupAfterAD)
ProdState33              = v(#ePROTECTION + #ProdStateThreatsSuspiciousUntreated)


[Product_Events_Report_Verdict_Filter_Cure]
DISINFECTED                 = v(#eDISINFECTED) use($GVF_AV)
DELETED                     = v(#eDELETED)     use($GVF_AV)
OVERWRITED                  = v(#eOVERWRITED)  use($GVF_AV)
QUARANTINED                 = v(#eQUARANTINED)
TERMINATED                  = v(#eTERMINATED)  use($GVF_HIPS)
RESTORED                    = v(#eRESTORED)    use($GVF_AV)
RENAMED                     = v(#eRENAMED)     use($GVF_AV)
BACKUPED                    = v(#eBACKUPED)    use($GVF_AV)
REPARED                     = v(#eREPARED)     use($GVF_AV)
ROLLBACKED                  = v(#eROLLBACKED)  use($GVF_HIPS)
NOT_DISINFECTED             = v(#eNOT_DISINFECTED)  use($GVF_AV)
NOT_DELETED                 = v(#eNOT_DELETED)      use($GVF_AV)
NOT_QUARANTINED             = v(#eNOT_QUARANTINED)
NOT_RENAMED                 = v(#eNOT_RENAMED)      use($GVF_AV)
TERMINATE_FAILED            = v(#eTERMINATE_FAILED) use($GVF_HIPS)
ROLLBACK_FAILED             = v(#eROLLBACK_FAILED)  use($GVF_HIPS)
BACKUP_FAILED               = v(#eBACKUP_FAILED)    use($GVF_AV)
REPAIR_FAILED               = v(#eREPAIR_FAILED)    use($GVF_AV)
DISINFECTED_ON_REBOOT       = v(#eDISINFECTED_ON_REBOOT) use($GVF_AV)
DELETED_ON_REBOOT           = v(#eDELETED_ON_REBOOT)     use($GVF_AV)
QUARANTINED_ON_REBOOT       = v(#eQUARANTINED_ON_REBOOT) use($GVF_AV)
DISINFECT_ON_REBOOT_FAILED  = v(#eDISINFECT_ON_REBOOT_FAILED) use($GVF_AV)
DELETE_ON_REBOOT_FAILED     = v(#eDELETE_ON_REBOOT_FAILED)    use($GVF_AV)

[Product_Events_Report_Verdict_Filter_Task]
DISABLED        = v(#eDISABLED) use(!ctl.Report.value)
TASK_STARTED    = v(#eTASK_STARTED)
TASK_STOPPED    = v(#eTASK_STOPPED)
TASK_FAILED     = v(#eTASK_FAILED)
TASK_COMPLETED  = v(#eTASK_COMPLETED)

[Product_Events_Report_Action_Filter]
Open    = v(#evtOpen)
Create  = v(#evtCreate)
Read    = v(#evtRead)
Write   = v(#evtWrite)
Delete  = v(#evtDelete)
Rename  = v(#evtRename)
Process = [Product_Events_Report_Action_Filter_Process]
Data    = [Product_Events_Report_Action_Filter_DataAccess]
System  = [Product_Events_Report_Action_Filter_System]

[Product_Events_Report_Reason_Filter]
User                            = v(#eUSER)
ReportOnly                      = v(#eREPORTONLY)
Postponed                       = v(#ePOSTPONED)
TaskStopped                     = v(#eTASKSTOPPED)
Error                           = v(#eERROR)
Database                        = v(#eDATABASE)									use($GVF_UC)
WhiteList                       = v(#eWHITE_LIST)								use($GVF_UC)
UserBlackList                   = v(#eUSER_BLACK_LIST)							use($GVF_UC)
UserWhiteList                   = v(#eUSER_WHITE_LIST)							use($GVF_UC)
Emulator                        = v(#eEMULATOR)
BB                              = v(#eBB)
Heuristic                       = v(#eHEURISTIC)								use($GVF_UC)
Bayes                           = v(#eBAYES)									use($GVF_UC)
GSG                             = v(#eGSG)										use($GVF_UC)
PDB                             = v(#ePDB)										use($GVF_UC)
RecentTerms                     = v(#eRECENTTERMS)								use($GVF_UC)
SFDB                            = v(#eSFDB)										use($GVF_AV)
ISWIFT                          = v(#eISWIFT)									use($GVF_AV)
UNCHANGED                       = v(#eUNCHANGED)								use($GVF_AV)
KSN                             = v(#eKSN)										use($GVF_AV)
AllowedSender                   = v(#eALLOWED_SENDER)							use($GVF_UC)
BlockedSender                   = v(#eBLOCKED_SENDER)							use($GVF_UC)
AllowedPhrase                   = v(#eALLOWED_PHRASE)							use($GVF_UC)
BlockedPhrase                   = v(#eBLOCKED_PHRASE)							use($GVF_UC)
DetectByHash                    = v(#eDETECT_BYHASH)
DetectInformation               = v(#eDETECT_INFORMATION)
Size                            = v(#eSIZE)
Type                            = v(#eTYPE)
Exclude                         = v(#eEXCLUDE)
Time                            = v(#eTIME)
NoRights                        = v(#eNORIGHTS)									use($GVF_AV)
NotFound                        = v(#eNOTFOUND)									use($GVF_AV)
Locked                          = v(#eLOCKED)									use($GVF_AV)
Noncurable                      = v(#eNONCURABLE)								use($GVF_AV)
WriteProtect                    = v(#eWRITEPROTECT)								use($GVF_AV)
Nonoverwritable                 = v(#eNONOVERWRITABLE)							use($GVF_AV)
CopyFailed                      = v(#eCOPYFAILED)								use($GVF_AV)
WriteError                      = v(#eWRITEERROR)
OutOfSpace                      = v(#eOUTOFSPACE)
ReadError                       = v(#eREADERROR)
DeviceNotReady                  = v(#eDEVICENOTREADY)
WriteNotSupported               = v(#eWRITENOTSUPPORTED)
CannotBackup                    = v(#eCANNOTBACKUP)								use($GVF_AV)
AddedToWhiteRecipient           = v(#eANTISPAM_AddedToWhiteRecipient)			use($GVF_UC)
HasBeenTrained                  = v(#eANTISPAM_HasBeenTrained)					use($GVF_UC)
Training                        = v(#eANTISPAM_Training)						use($GVF_UC)
NeedTraining                    = v(#eANTISPAM_NeedTraining)					use($GVF_UC)
WhiteAddress                    = v(#eANTISPAM_WhiteAddress)					use($GVF_UC)
BlackAddress                    = v(#eANTISPAM_BlackAddress)					use($GVF_UC)
WhiteString                     = v(#eANTISPAM_WhiteString)						use($GVF_UC)
BlackString                     = v(#eANTISPAM_BlackString)						use($GVF_UC)
AntiFishing                     = v(#eANTISPAM_AntiFishing)						use($GVF_UC)
WhiteAddressNotFound            = v(#eANTISPAM_WhiteAddress_NOTFOUND)			use(0)
WhiteStringNotFound             = v(#eANTISPAM_WhiteString_NOTFOUND)			use(0)
Eicar                           = v(#eANTISPAM_Eicar)							use($GVF_UC)
Banner                          = v(#eANTISPAM_Banner)							use($GVF_UC)
InvalidHTML                     = v(#eANTISPAM_InvalidHTML)						use($GVF_UC)
ExternalObj                     = v(#eANTISPAM_ExternalObj)						use($GVF_UC)
InternalObj                     = v(#eANTISPAM_InternalObj)						use($GVF_UC)
EmptyMessage                    = v(#eANTISPAM_EmptyMessage)					use($GVF_UC)
NotForMe                        = v(#eANTISPAM_NotForMe)						use($GVF_UC)
NotEnglish                      = v(#eANTISPAM_NotEnglish)						use($GVF_UC)
RecipLimit                      = v(#eANTISPAM_RecipLimit)						use($GVF_UC)
RecipLimitNotFound              = v(#eANTISPAM_RecipLimit_NOTFOUND)				use($GVF_UC)
InvalidHTML_UnknownDefsCount    = v(#eANTISPAM_InvalidHTML_UnknownDefsCount)	use($GVF_UC)
InvalidHTML_SeemsColors         = v(#eANTISPAM_InvalidHTML_SeemsColors)			use($GVF_UC)
InvalidHTML_SmallText           = v(#eANTISPAM_InvalidHTML_SmallText)			use($GVF_UC)
InvalidHTML_InvisibleCharCount  = v(#eANTISPAM_InvalidHTML_InvisibleCharCount)	use($GVF_UC)
InvalidHTML_Scripts             = v(#eANTISPAM_InvalidHTML_Scripts)				use($GVF_UC)
InvalidHTML_HiddenElements      = v(#eANTISPAM_InvalidHTML_HiddenElements)		use($GVF_UC)
CannotBeSpam                    = v(#eANTISPAM_CannotBeSpam)					use($GVF_UC)
SpamTest                        = v(#eANTISPAM_SPAMTEST)						use($GVF_UC)

[Product_Events_Report_Action_Filter_Process]
ProcessStart   			 = v(#evtProcessStart)
ProcStart      			 = v(#evtProcStart)
ProcessStop    			 = v(#evtProcessStop)
ProcStop       			 = v(#evtProcStop)
ImageLoad      			 = v(#evtImageLoad)
ImageUnload    			 = v(#evtImageUnload)
Terminate      			 = v(#evtTerminate)
ReadProcMem    			 = v(#evtReadProcMem)
SetHook        			 = v(#evtSetHook)
CodeInject     			 = v(#evtCodeInject)
Suspend        			 = v(#evtSuspend)
AddAppToGr     			 = v(#evtAddAppToGr)
DuplicateHandle			 = v(#evtDuplicateHandle)
SuspProcessInteraction   = v(#evtSuspProcessInteraction)

[Product_Events_Report_Action_Filter_DataAccess]
Send                = v(#evtSend)
Receive             = v(#evtReceive)
WMSend              = v(#evtWMSend)
LLDiskAccess        = v(#evtLLDiskAccess)
LLFSAccess          = v(#evtLLFSAccess)
ADSAccess           = v(#evtADSAccess)
DirectMemAccess     = v(#evtDirectMemAccess)
ClipBoardAcceess    = v(#evtClipBoardAcceess)

[Product_Events_Report_Action_Filter_System]
SelfStart           = v(#evtSelfStart)
WindowsShutDown     = v(#evtWindowsShutDown)
HiddenRegistry      = v(#evtHiddenRegistry)
KeyLogger           = v(#evtKeyLogger)
SetHardLink         = v(#evtSetHardLink)
SchedulerStart      = v(#evtSchedulerStart)
DrvStart            = v(#evtDrvStart)
ServiceStart        = v(#evtServiceStart)
ScreenShots         = v(#evtScreenShots)
CriticalCOMAccess   = v(#evtCriticalCOMAccess)
UseBrowserCL        = v(#evtUseBrowserCL)
UseBrowserAPI       = v(#evtUseBrowserAPI)
UseDNS              = v(#evtUseDNS)
UseBITS             = v(#evtUseBITS)
SetDbgPrivilege     = v(#evtSetDbgPrivilege)
ChangeObjPrivilege  = v(#evtChangeObjPrivilege)
ShellWindowsAcceess = v(#evtShellWindowsAcceess)
UserAccountAccess   = v(#evtUserAccountAccess)

[Product_Events_Report_Object_Filter]
File        = v(#eFile)
Directory   = v(#eDirectory)   use($GVF_HIPS)
RegKey      = v(#eRegKey)      use($GVF_HIPS)
RegValue    = v(#eRegValue)    use($GVF_HIPS)
Process     = v(#eProcess)     use($GVF_HIPS)
Thread      = v(#eThread)      use($GVF_HIPS)
Module      = v(#eModule)      use($GVF_HIPS)
LogSector   = v(#eLogSector)   use($GVF_AV)
PhysSector  = v(#ePhysSector)  use($GVF_AV)
Memory      = v(#eMemory)      use($GVF_AV)
MailMessage = v(#eMailMessage) use($GVF_AV)
MailAttach  = v(#eMailAttach)  use($GVF_AV)
PagerData	= v(#ePagerData)   use($GVF_AV)
URL         = v(#eURL)         use($GVF_NOT_SCAN)
Script      = v(#eScript)      use($GVF_NOT_SCAN)
Port        = v(#ePort)        use($GVF_HIPS)
Connection  = v(#eConnection)  use($GVF_HIPS)
Packet      = v(#ePacket)      use($GVF_HIPS)
DialStr     = v(#eDialStr)     use($GVF_OS)
Task        = v(#eTask)        use($GVF_NOT_SCAN)

;--------------------------------------------

[Product_Scan_Statistics_List]
$ObjectPath = c_object(ObjectId, object(ObjectId))
@           = $List alias(scanstat) refresh(100) a(la) ext(1) extprm(1)
Object      = at(fixedpos) text(ObjectType == #eFile ? objfile($ObjectPath) : s_ObjectType(ObjectType)) ia(lc) i(s_ObjectTypeIcon(ObjectType, $ObjectPath, #true, #true)) sz(150) extprm(1)
Scaned      = [Product_Scan_Statistics_List_Scaned]
Detected    = text(Detected) sz(a) a(r)
row         = bg(if(Flags & 1,"EventWarn")) f(((Flags & 2) && isExpanded) ? "Normal_Bold" : "Normal")

[Product_Scan_Statistics_List_Scaned]
@               = text(Scaned) sz(a) a(r)
Scaned          = text(Scaned) sz(a) a(r)
Archived        = text(Archived) sz(a) a(r)
Packed          = text(Packed) sz(a) a(r)
PswProtected    = text(PswProtected) sz(a) a(r)
Corrupted       = text(Corrupted) sz(a) a(r)
ScanErrors      = text(ScanErrors) sz(a) a(r)

[Product_Statistics_List]
@       = $List alias(blstat) at(nosearch) prm(#dbStatistics) refresh(500) a(la) group(dateonly,dategroup(Date),default) ext(1) extprm(1)
Counter = at(fixedpos) ia(lc) sz(240) group(CounterItem,Counter,default) sort(s_RepDetectType(Counter),sortdown) extprm(1)
Blocked = text(Blocked) a(r) sz(60) extprm(1)
Total   = text(Total) a(r) sz(60) extprm(1)
row     = f(depend(!level) ? "Normal_Bold" : "Normal")

;--------------------------------------------
